package com.yidian.shenghuoquan.bpush.push.umshare

import android.app.Activity
import android.widget.Toast
import com.umeng.socialize.UMAuthListener
import com.umeng.socialize.UMShareAPI
import com.umeng.socialize.bean.SHARE_MEDIA
import com.umeng.socialize.tracker.TrackerManager
import com.umeng.socialize.tracker.TrackerResultHandler
import com.yidian.shenghuoquan.bpush.app.BPushApplication
import com.yidian.utils.ToastUtil

object UmengshareUtils {
  
  fun authLogin(activity: Activity, platform: SHARE_MEDIA): Map<String, String> {
    var authMap: Map<String, String> = HashMap()
    UMShareAPI.get(activity).getPlatformInfo(activity, platform, object : UMAuthListener {

      override fun onStart(share_media: SHARE_MEDIA) {}

      override fun onComplete(share_media: SHARE_MEDIA, i: Int, map: Map<String, String>) {
        authMap = map
      }

      override fun onError(share_media: SHARE_MEDIA, i: Int, throwable: Throwable) {
        ToastUtil.showToast(activity, throwable.message)
      }

      override fun onCancel(share_media: SHARE_MEDIA, i: Int) {
        ToastUtil.showToast(activity, "用户已取消")
      }
    })
    return authMap
  }

  fun personStatistic() {
    val webUrl = "http://mobile.umeng.com/social"
    val appContext = BPushApplication.context.applicationContext
    val umid = TrackerManager.getUMID(appContext)
    if (umid == "") {
      Toast.makeText(appContext, "UMID获取失败，请稍后重试！", Toast.LENGTH_LONG).show()
      return
    }
    TrackerManager.requestTrackerCode(
      appContext,
      "5a12384aa40fa3551f0001d1",
      umid, webUrl, "1235681", null,
      object : TrackerResultHandler {
        override fun codeGenerateSuccess(content: String) {}
        override fun codeGenerateFailed(t: Throwable) {}
      })
  }
}
